/*
 * Cache.h
 *
 *  Created on: 29.04.2010
 *      Author: stefan.detter
 */

#ifndef CACHE_H_
#define CACHE_H_

#include <QMap>
#include <QVariant>

class QSettings;

class Cache
{
public:
	Cache();
	virtual ~Cache();

	static Cache d;

	QVariant 	value(QString key, const QVariant& defaultValue = QVariant());
	void 		setValue(QString key, const QVariant& value);

private:
	QMap<QString, QVariant> m_cache;
	QSettings* 				m_settings;

};

#endif /* CACHE_H_ */
